def Plusload
	plugins = Sketchup.find_support_file("Plugins")
	load File.join(plugins, "+++", "MI.rb")
	load File.join(plugins, "+++", "AL.rb")
	load File.join(plugins, "+++", "LAY.rb")
	#load File.join(plugins, "+++", "rb_tools.rb")
	load File.join(plugins, "+++", "fr_extrude_lines.rb")
	load File.join(plugins, "+++", "fr_GetDimensions.rb")
	load File.join(plugins, "+++", "fr_CutListAndMaterials.rb")
	load File.join(plugins, "+++", "fr_CutList.rb")
	load File.join(plugins, "+++", "JoinEdges.rb")
	load File.join(plugins, "+++", "Utils.rb")
	load File.join(plugins, "+++", "sphere.rb")
	load File.join(plugins, "+++", "displaytemplate.rb")
end

if( not file_loaded?("Plus.rb") )
	Plusload()
	
	UI.add_context_menu_handler do |menu|
		menu.add_separator
		menu.add_item("Isoler selection"){Hide.hideAll}
	end
		
    UI.menu("File").add_item("Nouveau..."){new_from_template}
    UI.menu("Draw").add_item("Sphere") { Sketchup.active_model.select_tool SphereTool.new }
	
	plugins = Sketchup.find_support_file("Plugins")
	main_menu = UI.menu("Plugins").add_submenu("+++")
		sub_menu1 = main_menu.add_submenu("Calques")
			sub_menu1.add_item("Afficher") { layon }
			sub_menu1.add_item("Rendre Courant") { laycou }
			sub_menu1.add_item("Geler") { layfrz }
			sub_menu1.add_item("Inverser") { layinv }
			sub_menu1.add_item("Isoler") { layiso }
			sub_menu1.add_item("Isoler courant") { layoff }
			sub_menu1.add_item("Purger") { laypur }
		
		sub_menu4 = main_menu.add_submenu("Modifier")
			sub_menu4.add_item("Aligner 3D") { Align }
			sub_menu4.add_item("Dplacer sur origine") { Move2Origin.new }
			sub_menu4.add_item("Extruder artes") { extrude_lines }
			sub_menu4.add_item("Joindre artes") { join_edges }
			sub_menu4.add_item("Miroir") {Sketchup.active_model.select_tool MirrorTool.new}
		
		sub_menu2 = main_menu.add_submenu("Slection")
			subsub_menu2 = sub_menu2.add_submenu("Rapide")
				subsub_menu2.add_item("Rapide...") { qs }
				subsub_menu2.add_item("Gomtries...") { geom_filter }
				subsub_menu2.add_separator
				subsub_menu2.add_item("Composants") { (filter_func Sketchup::ComponentInstance) }
				subsub_menu2.add_item("Faces") { (filter_func Sketchup::Face) }
				subsub_menu2.add_item("Groupes") { (filter_func Sketchup::Group) }
				subsub_menu2.add_item("Lignes de constr.") { (filter_func Sketchup::ConstructionLine ) }
				subsub_menu2.add_item("points de constr.") { (filter_func Sketchup::ConstructionPoint) }
				subsub_menu2.add_item("Segments") { (filter_func Sketchup::Edge) }
				subsub_menu2.add_item("Textes") { (filter_func Sketchup::Text) }
			sub_menu2.add_separator
			sub_menu2.add_item("Cacher") { Sketchup.send_action "editHide:" }
			sub_menu2.add_item("Inverser") { se_inv }
			sub_menu2.add_item("Isoler") { Hide.hideAll }
			sub_menu2.add_item("Rvler") { Sketchup.send_action "editUnhide:" }
			sub_menu2.add_item("Zoom") { zent }
		
		sub_menu5 = main_menu.add_submenu("Soleil")
			sub_menu5.add_item("Angle") { Sketchup.active_model.select_tool SunTool.new }
			sub_menu5.add_item("Course") { map_sun }
		
		sub_menu6 = main_menu.add_submenu("Styles")
			sub_menu6.add_item ("Technique D") {tdttemplate}
			sub_menu6.add_separator
			sub_menu6.add_item("Multipasse") {multipasstemplate}
			sub_menu6.add_item("Lignes caches") {hiddenlinetemplate}
			sub_menu6.add_item("Silhouettes") {silhouettestemplate}
			sub_menu6.add_item("SketchUp X-Ray") {xraysketchtemplate}
			sub_menu6.add_item("Material") {materialtemplate}
			sub_menu6.add_item("Texture") {texturetemplate}
			sub_menu6.add_item("Sun Shade") {sunshadetemplate}
			sub_menu6.add_item("Camera Shade") {camshadetemplate}
			sub_menu6.add_item("Ombres") {shadowtemplate}
			sub_menu6.add_item("Depth Map") {depthmaptemplate}
			sub_menu6.add_item("Alpha") {alphatemplate}
			sub_menu6.add_separator
			sub_menu6.add_item ("Fix Depth Map") {fixdepthmaptemplate}
			sub_menu6.add_separator
			sub_menu6.add_item("Sepia") {sepiatemplate}
			sub_menu6.add_item("Lignes bleues") {bluelinetemplate}
			sub_menu6.add_item("Impression bleue") {blueprinttemplate}
			sub_menu6.add_item("Chalkboard") {chalkboardtemplate}
			sub_menu6.add_item("Help") {helphtml}
		
		
		sub_menu3 = main_menu.add_submenu("Textures")
			sub_menu3.add_item("Texturiser slection") { seltxt }
			sub_menu3.add_item("Effacer textures") { deltxt }
		
		
		main_menu.add_separator
		main_menu.add_item("Dimensions composant") { get_dimensions }
		main_menu.add_item("Calculette Windows") { UI.openURL("calc.exe") }
		main_menu.add_separator
		main_menu.add_item("Purger") { pur }
		main_menu.add_separator
		main_menu.add_item("Liste debit complete") { Reporter.components }
		main_menu.add_item("Liste debit detaillee") { Reporter.detailledcomponents }
		
		###
		###
	tb1 = UI::Toolbar.new("Outils")
	tb2 = UI::Toolbar.new("Calques")
	tb3 = UI::Toolbar.new("Slection rapide")
	
	cmd1 = UI::Command.new("MI") { Sketchup.active_model.select_tool MirrorTool.new }
		cmd1.large_icon = cmd1.small_icon = File.join(plugins, "+++", "MI.png")
		cmd1.tooltip = cmd1.status_bar_text = "Miroir"
		tb1.add_item(cmd1)
	cmd2 = UI::Command.new("AL") { Align }
		cmd2.large_icon = cmd2.small_icon = File.join(plugins, "+++", "AL.png")
		cmd2.tooltip = cmd2.status_bar_text = "Aligner 3D"
		tb1.add_item(cmd2)
	cmd17 = UI::Command.new("Texturise selection") { seltxt }
		cmd17.large_icon = File.join(plugins, "+++", "TE_24.png")
		cmd17.small_icon = File.join(plugins, "+++", "TE_16.png")
		cmd17.tooltip = cmd17.status_bar_text = "Texturer slection"
		tb1.add_item(cmd17)
	cmd18 = UI::Command.new("Purger") { pur }
		cmd18.large_icon = cmd18.small_icon = File.join(plugins, "+++", "Purger.gif")
		cmd18.tooltip = cmd18.status_bar_text = "Purger les elts non utilises"
		tb1.add_item(cmd18)
		
	cmd3 = UI::Command.new("LAYON") { layon }
		cmd3.large_icon = cmd3.small_icon = File.join(plugins, "+++", "LAYON.png")
		cmd3.tooltip = cmd3.status_bar_text = "Afficher"
		tb2.add_item(cmd3)
	cmd4 = UI::Command.new("LAYFRZ") { layfrz }
		cmd4.large_icon = cmd4.small_icon = File.join(plugins, "+++", "LAYFRZ.png")
		cmd4.tooltip = cmd4.status_bar_text = "Geler"
		tb2.add_item(cmd4)
	cmd7 = UI::Command.new("LAYOFF") { layoff }
		cmd7.large_icon = cmd7.small_icon = File.join(plugins, "+++", "LAYOFF.png")
		cmd7.tooltip = cmd7.status_bar_text = "Isoler courant"
		tb2.add_item(cmd7)
	cmd5 = UI::Command.new("LAYINV") { layinv }
		cmd5.large_icon = cmd5.small_icon = File.join(plugins, "+++", "LAYINV.png")
		cmd5.tooltip = cmd5.status_bar_text = "Inverser"
		tb2.add_item(cmd5)
	tb2.add_separator
	cmd6 = UI::Command.new("LAYISO") { layiso }
		cmd6.large_icon = cmd6.small_icon = File.join(plugins, "+++", "LAYISO.png")
		cmd6.tooltip = cmd6.status_bar_text = "Isoler"
		tb2.add_item(cmd6)
	cmd8 = UI::Command.new("LAYPUR") { laypur }
		cmd8.large_icon = cmd8.small_icon = File.join(plugins, "+++", "LAYPUR.png")
		cmd8.tooltip = cmd8.status_bar_text = "Purger"
		tb2.add_item(cmd8)
	cmd9 = UI::Command.new("LAYCOU") { laycou }
		cmd9.large_icon = cmd9.small_icon = File.join(plugins, "+++", "LAYCOU.png")
		cmd9.tooltip = cmd9.status_bar_text = "Rendre courant"
		tb2.add_item(cmd9)

	cmd10 = UI::Command.new("Slection rapide") { qs }
		cmd10.small_icon = File.join(plugins, "+++", "SELSES.gif")
		cmd10.large_icon = File.join(plugins, "+++", "SELSEL.gif")
		cmd10.tooltip = "Slection rapide..."
		tb3.add_item(cmd10)
		tb1.add_item(cmd10)
	cmd11 = UI::Command.new("Slection gomtrie") { geom_filter }
		cmd11.small_icon = File.join(plugins, "+++", "SELGES.gif")
		cmd11.large_icon = File.join(plugins, "+++", "SELGEL.gif")
		cmd11.tooltip = "Slection par gomtrie..."
		tb3.add_item(cmd11)
	tb3.add_separator
	cmd12 = UI::Command.new("Slection segments") { (filter_func Sketchup::Edge) }
		cmd12.small_icon = File.join(plugins, "+++", "SELLIS.gif")
		cmd12.large_icon = File.join(plugins, "+++", "SELLIS.gif")
		cmd12.tooltip = "Slection de tous les segments de la slection"
		tb3.add_item(cmd12)
	cmd13 = UI::Command.new("Slection faces") { (filter_func Sketchup::Face) }
		cmd13.small_icon = File.join(plugins, "+++", "SELFAS.gif")
		cmd13.large_icon = File.join(plugins, "+++", "SELFAL.gif")
		cmd13.tooltip = "Slection de toutes les faces de la slection"
		tb3.add_item(cmd13)
	cmd14 = UI::Command.new("Slection textes") { (filter_func Sketchup::Text) }
		cmd14.small_icon = File.join(plugins, "+++", "SELTES.gif")
		cmd14.large_icon = File.join(plugins, "+++", "SELTEL.gif")
		cmd14.tooltip = "Slection de tous les textes de la slection"
		tb3.add_item(cmd14)
	tb3.add_separator
	cmd15 = UI::Command.new("Slection composants") { (filter_func Sketchup::ComponentInstance) }
		cmd15.small_icon = File.join(plugins, "+++", "SELCOS.gif")
		cmd15.large_icon = File.join(plugins, "+++", "SELCOL.gif")
		cmd15.tooltip = "Slection de tous les composants de la slection"
		tb3.add_item(cmd15)	
	cmd16 = UI::Command.new("Slection groupes") { (filter_func Sketchup::Group) }
		cmd16.small_icon = File.join(plugins, "+++", "SELGRS.gif")
		cmd16.large_icon = File.join(plugins, "+++", "SELGRL.gif")
		cmd16.tooltip = "Slection de tous les groupes de la slection"
		tb3.add_item(cmd16)
	
	tb1.show if tb1.get_last_state == -1
	tb2.show if tb2.get_last_state == -1
	tb3.show if tb3.get_last_state == -1
	
end
file_loaded("Plus.rb")

